Package org.apache.batchee.container.services.persistence.jpa.domain

## Class JobExecutionEntity

- java.lang.Object
- - org.apache.batchee.container.services.persistence.jpa.domain.JobExecutionEntity

-     @Entity
      public class JobExecutionEntity
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `JobExecutionEntity.Queries` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `TABLE_NAME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JobExecutionEntity()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.batch.runtime.BatchStatus` | `getBatchStatus()` |
    `Timestamp` | `getCreateTime()` |
    `Timestamp` | `getEndTime()` |
    `long` | `getExecutionId()` |
    `String` | `getExitStatus()` |
    `JobInstanceEntity` | `getInstance()` |
    `Properties` | `getJobProperties()` |
    `Timestamp` | `getStartTime()` |
    `Timestamp` | `getUpdateTime()` |
    `void` | `setBatchStatus​(javax.batch.runtime.BatchStatus batchStatus)` |
    `void` | `setCreateTime​(Timestamp createTime)` |
    `void` | `setEndTime​(Timestamp endTime)` |
    `void` | `setExitStatus​(String exitStatus)` |
    `void` | `setInstance​(JobInstanceEntity instance)` |
    `void` | `setJobProperties​(Properties jobProperties)` |
    `void` | `setStartTime​(Timestamp startTime)` |
    `void` | `setUpdateTime​(Timestamp updateTime)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TABLE_NAME

          public static final String TABLE_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JobExecutionEntity

          public JobExecutionEntity()

  - ### Method Detail

    - #### getExecutionId

          public long getExecutionId()

    - #### getCreateTime

          public Timestamp getCreateTime()

    - #### setCreateTime

          public void setCreateTime​(Timestamp createTime)

    - #### getStartTime

          public Timestamp getStartTime()

    - #### setStartTime

          public void setStartTime​(Timestamp startTime)

    - #### getEndTime

          public Timestamp getEndTime()

    - #### setEndTime

          public void setEndTime​(Timestamp endTime)

    - #### getUpdateTime

          public Timestamp getUpdateTime()

    - #### setUpdateTime

          public void setUpdateTime​(Timestamp updateTime)

    - #### getBatchStatus

          public javax.batch.runtime.BatchStatus getBatchStatus()

    - #### setBatchStatus

          public void setBatchStatus​(javax.batch.runtime.BatchStatus batchStatus)

    - #### getExitStatus

          public String getExitStatus()

    - #### setExitStatus

          public void setExitStatus​(String exitStatus)

    - #### getJobProperties

          public Properties getJobProperties()

    - #### setJobProperties

          public void setJobProperties​(Properties jobProperties)

    - #### getInstance

          public JobInstanceEntity getInstance()

    - #### setInstance

          public void setInstance​(JobInstanceEntity instance)